### Enumeration

# Xdp OutputType

#### Declaration

    flags Xdp.OutputType

#### Description [src]

Flags to specify what kind of sources to offer for a screencast session.

#### Members

`XDP_OUTPUT_NONE`

  Do not select any output.

  - Value: `0`
  - Available since: 1.0
`XDP_OUTPUT_MONITOR`

  Allow selecting monitors.

  - Value: `1`
  - Available since: 1.0
`XDP_OUTPUT_WINDOW`

  Allow selecting individual application windows.

  - Value: `2`
  - Available since: 1.0
`XDP_OUTPUT_VIRTUAL`

  Allow creating new virtual displays.

  - Value: `4`
  - Available since: 1.0